zvmstat(1m)

NAME
zvmstat - print vmstat style info per Zone. Uses DTrace.

SYNOPSIS
zvmstat [-t] [interval [count]]

DESCRIPTION
This program must be run from the global zone as root. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OPTIONS

-t  Print timestamps, string

interval
    Duration for each sample, seconds. default is 1.

count
    Number of samples. default is 1.

EXAMPLES

Print virtual memory statistics every second,
    # zvmstat

Print every 5 seconds, 6 times,
    # zvmstat 5 6

FIELDS

ZONE
    zonename

re  page reclaims, pages

mf  minor faults, pages

fr  pages freed, pages

sr  scan rate, pages

epi executable page ins, pages

epo executable page outs, pages

epf executable frees, pages

api anonymous page ins, pages

apo anonymous page outs, pages

apf anonymous frees, pages

fpi filesystem page ins, pages

fpo filesystem page outs, pages

fpf filesystem frees, pages

NOTES
Most of the statistics are in units of pages, unlike the original vmstat command which sometimes uses kilobytes. All page values are a total for the sample duration. As this program does not use Kstat, there is no summary since boot line.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
zvmstat will run until Ctrl-C is hit, or until the count argument has been satisfied.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
vmstat(1M), dtrace(1M)